import { type ApiValueConstructor } from '@a11d/api';
import '@a11d/is-writable';
export declare const model: (typeName: string) => (Constructor: Constructor<unknown>) => void;
export declare class ModelValueConstructor implements ApiValueConstructor<object, object> {
    static readonly modelConstructorsByTypeName: Map<string, Constructor<unknown>>;
    static readonly typeNameKey = "@type";
    shallConstruct: (value: unknown) => boolean;
    construct(object: object): object;
}
//# sourceMappingURL=ModelValueConstructor.d.ts.map